Subscription groups
List subscription groups
https://rcur.app/api/v2/subscription-groups
A group bundles the subscription templates a subscription can be switched between.
Requires your API key as Authorization: Bearer <key>. See authentication.
Query parameters
-
pageintegerPage number for pagination
Default:
1
Responses
200 List of subscription groups object
-
dataarray of SubscriptionGroups5 child attributes · SubscriptionGroup
-
idstring required -
namestring required -
descriptionstring nullableOnly for yourself, customers do not see it
-
plansarray of SubscriptionTemplates requiredThe templates a subscription of the group can be switched between, in the order customers see them
8 child attributes · SubscriptionTemplate
-
idstring required -
namestring requiredName of the template
-
descriptionstringDescription the subscriptions made from the template get
-
currencystring required -
group_idstring nullableThe subscription group the template is in
-
plan_namestring nullableName shown in the customer portal when switching
-
plan_descriptionstring nullableText shown in the customer portal when switching
-
rulesarray of SubscriptionRules required8 child attributes · SubscriptionRule
-
idstring required -
amountstring required -
currencystring requiredOne of
AEDAUDBGNBRLCADCHFCZKDKKEURGBPHKDHUFILSISKJPYMXNMYRNOKNZDPHPPLNRONSEKSGDTHBTWDUSDZAR -
intervalstring requiredOne of
dayweekmonthyear -
interval_amountinteger required -
dayinteger required -
timesinteger nullable -
times_doneinteger required
-
-
-
created_atstring required
-
-
linksobject4 child attributes
-
firststring -
laststring -
prevstring nullable -
nextstring nullable
-
-
metaobject4 child attributes
-
current_pageinteger -
last_pageinteger -
per_pageinteger -
totalinteger
-